<template>
    <v-dialog v-model="dialogDataProp" width="600px" height="600px">
        <v-card>
            <v-card-title>
                <h3>Formulario de Entrega</h3>
            </v-card-title>
            <v-card-text>
                <!-- Formulario -->
                <v-flex xs12 sm12 md12 d-flex>
                    <v-select v-model="selected" :items="getRecepcionistaList" item-text="name" item-value="id" label="Select" persistent-hint return-object single-line>
                    </v-select>
                </v-flex>

                <v-flex xs12 sm12 md12 d-flex>
                    <v-textarea v-model="notes" name="input-7-1" label="Anotaciones"></v-textarea>
                </v-flex>

                <v-flex xs12 sm12 md12 d-flex>
                    <upload-image v-model="image" />
                </v-flex>

                <v-flex xs12 sm12 md12 d-flex>
                    <v-list subheader two-line>
                        <v-subheader>
                            Encomiendas
                        </v-subheader>
                        <v-list-tile v-for="(data) in items" v-bind:key="data.id">
                            <v-list-tile-content>
                                <v-list-tile-title>{{ data.consigned.name }}</v-list-tile-title>
                                <v-list-tile-sub-title>{{ data.type.name }}</v-list-tile-sub-title>
                            </v-list-tile-content>
                        </v-list-tile>
                    </v-list>
                </v-flex>
                <!-- Formulario -->
                <v-divider></v-divider>
            </v-card-text>
            <v-card-actions>
                <v-spacer></v-spacer>

                <v-btn color="warning" flat @click="closeDialog">Cancelar</v-btn>
                <v-btn color="primary" @click="onConfirm">
                    <v-icon>send</v-icon> Enviar
                </v-btn>
            </v-card-actions>
        </v-card>
    </v-dialog>
</template>

<script>
import {
    mapGetters,
    mapActions
} from 'vuex';
import UploadImage from '../UploadImage'
import server from '../../server';
import axios from 'axios';
import { setTimeout } from 'timers';

export default {
    name: 'TaskDialogTerminate',
    components: {
        UploadImage
    },
    props: {
        dialog: Boolean,
        items: Array
    },
    data() {
        return {
            selected: [],
            notes: '',
            image: ''
        }
    },
    mounted() {
        let self = this;
        self.setRecepcionistasList();
    },
    methods: {
        ...mapActions([
            'setTaskTransitoList',
            'setRecepcionistasList'
        ]),
        closeDialog() {
            this.$parent.clearList()
            this.$emit('close-dialog', 'false');
        },
        onConfirm() {
            const datas = {
                'user_id': this.selected.id,
                'images': this.image,
                'notes': this.notes,
                'task': this.getItemsId
            };

            const rest = axios.post(`${server}/api/recepcionistas`, datas, {
                headers: {
                    Authorization: this.$store.getters.getAccessToken
                }
            }).then(() => {
              this.$parent.refreshList();
              this.closeDialog();
            });
        },

    },
    computed: {
        ...mapGetters([
            'getRecepcionistaList',
            'getUser',
        ]),
        getItemsId() {
            return this.items.map(a => a.id);
        },
        dialogDataProp: {
            get: function () {
                return this.dialog
            },
            set() {}
        }
    }
}
</script>

<style>

</style>
